#if !defined(AFX_SUBSHEET_H__16C2D191_C335_11D7_899D_000629A6E157__INCLUDED_)
#define AFX_SUBSHEET_H__16C2D191_C335_11D7_899D_000629A6E157__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SubSheet.h : header file
//
#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

/////////////////////////////////////////////////////////////////////////////
// CSubSheet

class DLLCLASS CSubSheet : public CPropertySheet
{
DECLARE_DYNAMIC(CSubSheet)

// Construction
public:
    CSubSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
    CSubSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

// Operations
public:

// Overrides
// ClassWizard generated virtual function overrides
// {{AFX_VIRTUAL(CSubSheet)
public:
    virtual BOOL OnInitDialog();
// Gary 4Aug11, V1.24.05
// handling of mouse and keyboard activities while in this sub property sheet
    virtual BOOL PreTranslateMessage(MSG* pMsg);
// }}AFX_VIRTUAL

// Implementation
public:
    void OnMoveSub(int nX, int nY);
    void DeletePage(CPropertyPage *pPage);
    void InsertPage(CPropertyPage *pPage);
    virtual ~CSubSheet();

// Generated message map functions
protected:
// {{AFX_MSG(CSubSheet)
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
// }}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:
    CString m_csName;

    CBrush          m_brushBackground;
    static COLORREF m_colorBackground;
    static bool     m_bCustomizedColor;
    static bool     m_bCustomizedOptionLoaded;
};

/////////////////////////////////////////////////////////////////////////////

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SUBSHEET_H__16C2D191_C335_11D7_899D_000629A6E157__INCLUDED_)
